/* See LICENSE file for copyright and license details. */
/* password, at first line of each mail */
static const char *pw = "xxxx";

/* extension of raw articles files */
static const char *ext = ".txt";

/* url of the blog */
static const char *url = "https://prx.si3t.ch";

static const char *markup = "lowdown -D html-skiphtml -D html-head-ids -E smarty -d metadata --html-no-skiphtml --html-no-escapehtml";

/*
static const char *markup = "/usr/local/bin/cmark -t html --smart --unsafe";
static const char *markup = "/home/prxblog/md2html.awk";
static const char *markup = "/home/prxblog/smu/smu";
*/

/* html header */
/* leave %d for title : it's page number*/
static const char *headhtml =
	"<!doctype html>\n"
	"<html>\n"
	"<head>\n"
	"<meta charset=\"UTF-8\">\n"
	"<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n"
	"<meta name=\"author\" content=\"prx\">\n"
	"<meta name=\"keywords\" content=\"prx blog\">\n"
	"<link rel=\"icon\" href=\"/favicon.svg\" type=\"image/svg+xml\">\n"
	"<link rel=\"icon\" href=\"/favicon.png\" type=\"image/png\">\n"
	"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\n"
	"<link href=\"feed.atom\" type=\"application/atom+xml\" rel=\"alternate\""
	" title=\"Flux du blog de prx\">\n"
	"<title>Blog de prx : page %d</title>\n"
	"</head>\n"
	"\n"
	"<body>\n"
	"\n"
	"<header>\n"
	"<a href=\"./\" title=\"Site principal\" id=\"logo\">"
	"<img src=\"/favicon.svg\" alt=\"logo\" >"
	"</a>\n"
	"<a href=\"%d.txt\" id=\"page\">%d</a>\n"
	"</header>\n"
	"\n"
	"<main>";
													
static const char *footerhtml =
	"</main>\n"
	"<footer>\n"
	"<h3>Une réaction?</h3>\n"
	"<p>Envoyez votre commentaire à la liste "
	"<a href=\"mailto:bla@bla.si3t.ch\">bla@bla.si3t.ch</a> et "
	"échangez avec les autres lect(eur|rice)s."
	" (<a href=\"https://prx.si3t.ch/commentaires/\">archives</a>)<br>\n"
	"Écrivez à "
	"<a href=\"mailto:bla+subscribe@bla.si3t.ch\">bla+subscribe@bla.si3t.ch</a> "
	"<a href=\"feed.atom\" title=\"Flux ATOM du blog\">ATOM</a>\n"
	"- <a href=\"https://si3t.ch/Contact.html\" title=\"contacter l'auteur\">CONTACT</a>\n"
	"- <a href=\"https://si3t.ch\" title=\"Site principal\">si3t.ch</a>\n"
	"</footer>\n"
	"<script src=\"/smileys.js\"></script>\n"
	"<script src=\"/typewriter.js\"></script>\n"
	"</body>\n"
	"</html>";

/* index.html header */
static const char *indexheadhtml =
	"<!doctype html>\n"
	"<html>\n"
	"<head>\n"
	"<meta charset=\"UTF-8\">\n"
	"<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n"
	"<meta name=\"author\" content=\"prx\">\n"
	"<meta name=\"keywords\" content=\"prx blog\">\n"
	"<link rel=\"icon\" href=\"/favicon.svg\" type=\"image/svg+xml\">\n"
	"<link rel=\"icon\" href=\"/favicon.png\" type=\"image/png\">\n"
	"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\n"
	"<link href=\"feed.atom\" type=\"application/atom+xml\" rel=\"alternate\""
	" title=\"Flux du blog de prx\">\n"
	"<title>Blog de prx : accueil </title>\n"
	"</head>\n"
	"\n"
	"<body>\n"
	"\n"
	"<header>\n"
	"<a href=\"./\" title=\"Site principal\" id=\"logo\">"
	"<img src=\"/favicon.svg\" alt=\"logo\" >"
	"</a>\n"
	"</header>\n"
	"\n"
	"<main>\n"
	"<h1>Blog de prx</h1>\n";

													
/* index.html footer */
static const char *indexfooterhtml =
	"<hr>\n"
	"</main>\n"
	"<footer>\n"
	"<a href=\"feed.atom\" title=\"Flux ATOM du blog\">ATOM</a>\n"
	"- <a href=\"https://si3t.ch/twtxt.txt\" title=\"twtxt\">twtxt.txt</a>\n"
	"- <a href=\"https://si3t.ch/Contact.html\" title=\"contacter l'auteur\">CONTACT</a>\n"
	"- <a href=\"https://si3t.ch\" title=\"Site principal\">si3t.ch</a>\n"
	"</footer>\n"
	"</body>\n"
	"</html>";



/* maximum item to show in ATOM feed */
static const int maxentry = 42;

/* feed file name */
static const char *atomfp = "feed.atom";

/* atom templates */
/* leave %s !!! */
static const char *atom = 
	"<?xml version=\"1.0\" encoding=\"utf-8\"?>\n"
	"<feed xmlns=\"http://www.w3.org/2005/Atom\">\n"
	"<id>%s/</id>\n"
	"<title>Blog de prx</title>\n"
	"<icon>%s/favicon.png</icon>\n"
	"<link rel=\"alternate\" type=\"text/html\" href=\"%s\" />\n"
	"<link rel=\"self\" type=\"application/atom+xml\" "
	"href=\"%s/feed.atom\" />\n"
	"<author><name>prx</name></author>\n"
	"<updated>%s</updated>\n";

/* leave %s and %d !!! */
static const char *atomentry =
	"<entry>\n"
	"	<id>%s/%d</id>\n"
	"	<title type=\"html\"><![CDATA[%s]]></title>\n"
	"	<link rel=\"alternate\" type=\"text/html\" href=\"%s/%d.html\" />\n"
	"	<updated>%s</updated>\n"
	"	<content type=\"html\"><![CDATA[\n"
	"		%s\n"
	"	]]></content>\n"
	"</entry>\n";
